Index: uspace/srv/net/inetsrv/inetcfg.c
===================================================================
--- uspace/srv/net/inetsrv/inetcfg.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
+++ uspace/srv/net/inetsrv/inetcfg.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
@@ -253,5 +253,5 @@
 }
 
-static void inetcfg_addr_create_static_srv(ipc_callid_t iid,
+static void inetcfg_addr_create_static_srv(cap_call_handle_t iid,
     ipc_call_t *icall)
 {
@@ -260,5 +260,5 @@
 	sysarg_t link_id = IPC_GET_ARG1(*icall);
 
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	size_t size;
 	if (!async_data_write_receive(&callid, &size)) {
@@ -296,5 +296,5 @@
 }
 
-static void inetcfg_addr_delete_srv(ipc_callid_t callid, ipc_call_t *call)
+static void inetcfg_addr_delete_srv(cap_call_handle_t callid, ipc_call_t *call)
 {
 	sysarg_t addr_id;
@@ -309,5 +309,5 @@
 }
 
-static void inetcfg_addr_get_srv(ipc_callid_t iid, ipc_call_t *icall)
+static void inetcfg_addr_get_srv(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_addr_get_srv()");
@@ -327,5 +327,5 @@
 	}
 
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	size_t size;
 	if (!async_data_read_receive(&callid, &size)) {
@@ -367,5 +367,5 @@
 }
 
-static void inetcfg_addr_get_id_srv(ipc_callid_t callid, ipc_call_t *call)
+static void inetcfg_addr_get_id_srv(cap_call_handle_t callid, ipc_call_t *call)
 {
 	char *name;
@@ -391,7 +391,7 @@
 }
 
-static void inetcfg_get_addr_list_srv(ipc_callid_t callid, ipc_call_t *call)
-{
-	ipc_callid_t rcallid;
+static void inetcfg_get_addr_list_srv(cap_call_handle_t callid, ipc_call_t *call)
+{
+	cap_call_handle_t rcallid;
 	size_t count;
 	size_t max_size;
@@ -425,7 +425,7 @@
 }
 
-static void inetcfg_get_link_list_srv(ipc_callid_t callid, ipc_call_t *call)
-{
-	ipc_callid_t rcallid;
+static void inetcfg_get_link_list_srv(cap_call_handle_t callid, ipc_call_t *call)
+{
+	cap_call_handle_t rcallid;
 	size_t count;
 	size_t max_size;
@@ -459,7 +459,7 @@
 }
 
-static void inetcfg_get_sroute_list_srv(ipc_callid_t callid, ipc_call_t *call)
-{
-	ipc_callid_t rcallid;
+static void inetcfg_get_sroute_list_srv(cap_call_handle_t callid, ipc_call_t *call)
+{
+	cap_call_handle_t rcallid;
 	size_t count;
 	size_t max_size;
@@ -493,5 +493,5 @@
 }
 
-static void inetcfg_link_add_srv(ipc_callid_t callid, ipc_call_t *call)
+static void inetcfg_link_add_srv(cap_call_handle_t callid, ipc_call_t *call)
 {
 	sysarg_t link_id;
@@ -506,8 +506,8 @@
 }
 
-static void inetcfg_link_get_srv(ipc_callid_t callid, ipc_call_t *call)
-{
-	ipc_callid_t name_callid;
-	ipc_callid_t laddr_callid;
+static void inetcfg_link_get_srv(cap_call_handle_t callid, ipc_call_t *call)
+{
+	cap_call_handle_t name_callid;
+	cap_call_handle_t laddr_callid;
 	size_t name_max_size;
 	size_t laddr_max_size;
@@ -559,5 +559,5 @@
 }
 
-static void inetcfg_link_remove_srv(ipc_callid_t callid, ipc_call_t *call)
+static void inetcfg_link_remove_srv(cap_call_handle_t callid, ipc_call_t *call)
 {
 	sysarg_t link_id;
@@ -572,10 +572,10 @@
 }
 
-static void inetcfg_sroute_create_srv(ipc_callid_t iid,
+static void inetcfg_sroute_create_srv(cap_call_handle_t iid,
     ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_sroute_create_srv()");
 
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	size_t size;
 	if (!async_data_write_receive(&callid, &size)) {
@@ -633,5 +633,5 @@
 }
 
-static void inetcfg_sroute_delete_srv(ipc_callid_t callid, ipc_call_t *call)
+static void inetcfg_sroute_delete_srv(cap_call_handle_t callid, ipc_call_t *call)
 {
 	sysarg_t sroute_id;
@@ -646,5 +646,5 @@
 }
 
-static void inetcfg_sroute_get_srv(ipc_callid_t iid, ipc_call_t *icall)
+static void inetcfg_sroute_get_srv(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_sroute_get_srv()");
@@ -664,5 +664,5 @@
 	}
 
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	size_t size;
 	if (!async_data_read_receive(&callid, &size)) {
@@ -717,5 +717,5 @@
 }
 
-static void inetcfg_sroute_get_id_srv(ipc_callid_t callid, ipc_call_t *call)
+static void inetcfg_sroute_get_id_srv(cap_call_handle_t callid, ipc_call_t *call)
 {
 	char *name;
@@ -738,5 +738,5 @@
 }
 
-void inet_cfg_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg)
+void inet_cfg_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_cfg_conn()");
@@ -747,5 +747,5 @@
 	while (true) {
 		ipc_call_t call;
-		ipc_callid_t callid = async_get_call(&call);
+		cap_call_handle_t callid = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
